### Hierarchy

- EventEmitter

## Index

### Properties

- defaultMaxListeners

### Methods

- addListener
- emit
- listenerCount
- listeners
- on
- once
- removeAllListeners
- removeListener
- setMaxListeners
- listenerCount

## Properties

### Static defaultMaxListeners

defaultMaxListeners: number

- Defined in node_modules/@types/events/index.d.ts:10

## Methods

### addListener

- addListener(type: string | number, listener: Listener): this

- - Defined in node_modules/@types/events/index.d.ts:14

  #### Parameters

  - ##### type: string | number

  - ##### listener: Listener

  #### Returns this

### emit

- emit(type: string | number, ...args: any[]): boolean

- - Defined in node_modules/@types/events/index.d.ts:13

  #### Parameters

  - ##### type: string | number

  - ##### Rest ...args: any[]

  #### Returns boolean

### listenerCount

- listenerCount(type: string | number): number

- - Defined in node_modules/@types/events/index.d.ts:20

  #### Parameters

  - ##### type: string | number

  #### Returns number

### listeners

- listeners(type: string | number): Listener[]

- - Defined in node_modules/@types/events/index.d.ts:19

  #### Parameters

  - ##### type: string | number

  #### Returns Listener[]

### on

- on(type: string | number, listener: Listener): this

- - Defined in node_modules/@types/events/index.d.ts:15

  #### Parameters

  - ##### type: string | number

  - ##### listener: Listener

  #### Returns this

### once

- once(type: string | number, listener: Listener): this

- - Defined in node_modules/@types/events/index.d.ts:16

  #### Parameters

  - ##### type: string | number

  - ##### listener: Listener

  #### Returns this

### removeAllListeners

- removeAllListeners(type?: string | number): this

- - Defined in node_modules/@types/events/index.d.ts:18

  #### Parameters

  - ##### Optional type: string | number

  #### Returns this

### removeListener

- removeListener(type: string | number, listener: Listener): this

- - Defined in node_modules/@types/events/index.d.ts:17

  #### Parameters

  - ##### type: string | number

  - ##### listener: Listener

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- - Defined in node_modules/@types/events/index.d.ts:12

  #### Parameters

  - ##### n: number

  #### Returns this

### Static listenerCount

- listenerCount(emitter: EventEmitter, type: string | number): number

- - Defined in node_modules/@types/events/index.d.ts:9

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### type: string | number

  #### Returns number

Generated using TypeDoc